Bug 57957 - LANG not initialised properly with gmd selection when using (t)csh
Summary: LANG not initialised properly with gmd selection when using (t)csh
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts   
(Show other bugs)
Version: 7.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-01-03 12:43 UTC by Toralf
Modified: 2014-03-17 02:24 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-05 07:13:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch: Correct setenv syntax in lang.csh (234 bytes, patch)
2002-03-05 07:13 UTC, Toralf
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2002:022 normal SHIPPED_LIVE New initscripts packages available for Red Hat Linux 7.2 2002-02-06 05:00:00 UTC

Description Toralf 2002-01-03 12:43:01 UTC
Description of Problem:
Simply put, shoudn't the following section from /etc/profile.d/lang.csh use
"setenv" rather than "set" when assigning to LANG? Surely you want to
update the environment, not just a shell variable?

if ($?GDM_LANG) then
    set sourced=1
    set LANG=$GDM_LANG
endif

Comment 1 Bill Nottingham 2002-01-25 06:49:38 UTC
Yup, fixed in 6.51-1, thanks!

Comment 2 Toralf 2002-02-12 12:52:03 UTC
Upgraded to initscripts-6.51-1, but it still looks wrong to me.

Comment 3 Bill Nottingham 2002-02-13 05:05:15 UTC
Yeah, there was a CVS snafu. Will be changed in the next build, really. :(

Comment 4 Toralf 2002-03-05 07:12:06 UTC
It is updated, but still not quite correct. A patch will be attached.

Comment 5 Toralf 2002-03-05 07:13:33 UTC
Created attachment 47403 [details]
Patch: Correct setenv syntax in lang.csh

Comment 6 Bill Nottingham 2002-03-05 07:47:15 UTC
Um, that fix is already in CVS.

Comment 7 Bill Nottingham 2002-03-05 07:52:37 UTC
... and should be in 6.54-1.


Note You need to log in before you can comment on or make changes to this bug.